Skip to main content
POST
/
agent
/
chat
Chat
curl --request POST \
  --url https://app.aseed.ai/custdev/agent/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "thread_id": "<string>",
  "message": "<string>",
  "reasoning_mode": "fast"
}
'
import requests

url = "https://app.aseed.ai/custdev/agent/chat"

payload = {
"thread_id": "<string>",
"message": "<string>",
"reasoning_mode": "fast"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({thread_id: '<string>', message: '<string>', reasoning_mode: 'fast'})
};

fetch('https://app.aseed.ai/custdev/agent/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request model for sending a chat message.

thread_id
string
required
message
string
required
Required string length: 1 - 20000
reasoning_mode
enum<string>
default:fast

Reasoning mode: fast or thinking

Available options:
fast,
thinking
forced_action
enum<string> | null

Принудительный выбор инструмента/агента на основе активного тега

Available options:
research_context,
interview_guide,
documentation

Response

Successful Response